{
  "model": {
    "type": "select",
    "property": "custom_model_data",
    "cases": [
      {"when":"grabeltone:claim_index", "model":{"type":"model","model":"grabeltone:item/claim_index"}},
      {"when":"wishlist:eyeshade", "model":{"type":"model","model":"wishlist:block/player_eyeshade"}},
      {"when":"wishlist:chef_hat", "model":{"type":"model","model":"wishlist:block/player_chef_hat"}},
      {"when":"wishlist:billed_cap", "model":{"type":"model","model":"wishlist:block/player_cap"}},
      {"when":"wishlist:book_hat", "model":{"type":"model","model":"hats:item/librarianhat"}},
      {"when":"wishlist:eyepatch", "model":{"type":"model","model":"hats:item/weaponsmitheyepatch"}},
      {"when":"wishlist:straw_hat", "model":{"type":"model","model":"hats:item/farmerhat"}},
      {"when":"wishlist:bucket_hat", "model":{"type":"model","model":"hats:item/fisherhat"}},
      {"when":"wishlist:hunter_hat", "model":{"type":"model","model":"hats:item/fletcherhat"}},
      {"when":"wishlist:welding_mask", "model":{"type":"model","model":"hats:item/armorermask"}},
      {"when":"wishlist:headband", "model":{"type":"model","model":"hats:item/butcherheadband"}},
      {"when":"wishlist:leather_cap", "model":{"type":"model","model":"hats:item/shepherdhat"}},
      {"when":"wishlist:monocle", "model":{"type":"model","model":"hats:item/cartographermonocle"}},
      {"when":"wishlist:witch_hat", "model":{"type":"model","model":"hats:item/witch_hat"}},
      {"when":"wishlist:top_hat", "model":{"type":"model","model":"hats:item/top_hat"}},
      {"when":"wishlist:choker", "model":{"type":"model","model":"hats:item/choker"}}
    ],
    "fallback": {
      "type": "minecraft:model",
      "model": "minecraft:item/leather"
    }
  }
}
